Google Cloud Native is in preview. Google Cloud Classic is fully supported.
published on Wednesday, Nov 29, 2023 by Pulumi
Google Cloud Native is in preview. Google Cloud Classic is fully supported.
published on Wednesday, Nov 29, 2023 by Pulumi
Gets the contents of a FHIR resource. Implements the FHIR standard read interaction (DSTU2, STU3, R4). Also supports the FHIR standard conditional read interaction (DSTU2, STU3, R4) specified by supplying an If-Modified-Since header with a date/time value or an If-None-Match header with an ETag value. On success, the response body contains a JSON-encoded representation of the resource. Errors generated by the FHIR store contain a JSON-encoded OperationOutcome resource describing the reason for the error. If the request cannot be mapped to a valid API method on a FHIR store, a generic GCP error might be returned instead. For samples that show how to call read, see Getting a FHIR resource.
Using getFhir
Two invocation forms are available. The direct form accepts plain arguments and either blocks until the result value is available, or returns a Promise-wrapped result. The output form accepts Input-wrapped arguments and returns an Output-wrapped result.
function getFhir(args: GetFhirArgs, opts?: InvokeOptions): Promise<GetFhirResult>
function getFhirOutput(args: GetFhirOutputArgs, opts?: InvokeOptions): Output<GetFhirResult>def get_fhir(dataset_id: Optional[str] = None,
fhir_id: Optional[str] = None,
fhir_id1: Optional[str] = None,
fhir_store_id: Optional[str] = None,
location: Optional[str] = None,
project: Optional[str] = None,
opts: Optional[InvokeOptions] = None) -> GetFhirResult
def get_fhir_output(dataset_id: Optional[pulumi.Input[str]] = None,
fhir_id: Optional[pulumi.Input[str]] = None,
fhir_id1: Optional[pulumi.Input[str]] = None,
fhir_store_id: Optional[pulumi.Input[str]] = None,
location: Optional[pulumi.Input[str]] = None,
project: Optional[pulumi.Input[str]] = None,
opts: Optional[InvokeOptions] = None) -> Output[GetFhirResult]func GetFhir(ctx *Context, args *GetFhirArgs, opts ...InvokeOption) (*GetFhirResult, error)
func GetFhirOutput(ctx *Context, args *GetFhirOutputArgs, opts ...InvokeOption) GetFhirResultOutput> Note: This function is named GetFhir in the Go SDK.
public static class GetFhir
{
public static Task<GetFhirResult> InvokeAsync(GetFhirArgs args, InvokeOptions? opts = null)
public static Output<GetFhirResult> Invoke(GetFhirInvokeArgs args, InvokeOptions? opts = null)
}public static CompletableFuture<GetFhirResult> getFhir(GetFhirArgs args, InvokeOptions options)
public static Output<GetFhirResult> getFhir(GetFhirArgs args, InvokeOptions options)
fn::invoke:
function: google-native:healthcare/v1:getFhir
arguments:
# arguments dictionaryThe following arguments are supported:
- dataset_
id str - fhir_
id str - fhir_
id1 str - fhir_
store_ strid - location str
- project str
getFhir Result
The following output properties are available:
- Content
Type string - The HTTP Content-Type header value specifying the content type of the body.
- Data string
- The HTTP request/response body as raw binary.
- Extensions
List<Immutable
Dictionary<string, string>> - Application specific response metadata. Must be set in the first response for streaming APIs.
- Content
Type string - The HTTP Content-Type header value specifying the content type of the body.
- Data string
- The HTTP request/response body as raw binary.
- Extensions []map[string]string
- Application specific response metadata. Must be set in the first response for streaming APIs.
- content
Type String - The HTTP Content-Type header value specifying the content type of the body.
- data String
- The HTTP request/response body as raw binary.
- extensions List<Map<String,String>>
- Application specific response metadata. Must be set in the first response for streaming APIs.
- content
Type string - The HTTP Content-Type header value specifying the content type of the body.
- data string
- The HTTP request/response body as raw binary.
- extensions {[key: string]: string}[]
- Application specific response metadata. Must be set in the first response for streaming APIs.
- content_
type str - The HTTP Content-Type header value specifying the content type of the body.
- data str
- The HTTP request/response body as raw binary.
- extensions Sequence[Mapping[str, str]]
- Application specific response metadata. Must be set in the first response for streaming APIs.
- content
Type String - The HTTP Content-Type header value specifying the content type of the body.
- data String
- The HTTP request/response body as raw binary.
- extensions List<Map<String>>
- Application specific response metadata. Must be set in the first response for streaming APIs.
Package Details
- Repository
- Google Cloud Native pulumi/pulumi-google-native
- License
- Apache-2.0
Google Cloud Native is in preview. Google Cloud Classic is fully supported.
published on Wednesday, Nov 29, 2023 by Pulumi
